SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000734: http-Proxy -- default policy - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000734Endian FirewallSecuritypublic2008-04-26 12:092009-10-27 12:03
Reportermiescha 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta4 
Target VersionFixed in Version2.2-rc1 
Summary0000734: http-Proxy -- default policy
DescriptionPosition 1 of the rule list is generated automatically as unrestricted
web-access wiwthout antivirus and contentfilter.
If you create a new rule in priority 2, you can choose AV and content
filtering. Both services are started.

If you make this rule to priority 1 or you delete the unrestricted rule,
the AV-rule changes to unrestricted access. AV and content filter services
stop.

MIME-type filter and browserchecks are not startable either.

If you download the testvireus from eicar.org, nothing is blocked, even if
the HAPV is running.
Additional InformationHaven't found a workaround yet...
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0000710closedsimon-endian enable to configure http proxy 

-  Notes
(0001081)
dmayan (reporter)
2008-04-26 14:21

See issue 0000710
(0001083)
miescha (reporter)
2008-04-27 12:16

after installing

efw-interfaceeditor-2.2.22-0.endian1.noarch.rpm
efw-proxy-2.2.54-1.endian1.noarch.rpm
efw-base-2.6.101-1.endian3.noarch.rpm

I can edit the default policy, the services AV-engine and contentfilter start, but no files are scanned by AV.
Tested
http://www.eicar.org/download/eicar.com [^]
http://www.eicar.org/download/eicar.com.txt [^]
http://www.eicar.org/download/eicar_com.zip [^]
http://www.eicar.org/download/eicarcom2.zip [^]

These files are blocked by the ALG behind the efw, so there is still something wrong with te endian...
(0001109)
simon-endian (developer)
2008-05-02 13:53

maybe this is a caching problem. if you downloaded the eicar viruses before, squid will take them from the cache and havp won´t block them.

i tried to download the 4 eicar testviruses and they where successfully blocked by havp.

- Issue History
Date Modified Username Field Change
2008-04-26 12:09 miescha New Issue
2008-04-26 14:21 dmayan Note Added: 0001081
2008-04-27 12:16 miescha Note Added: 0001083
2008-04-28 08:26 simon-endian Status new => assigned
2008-04-28 08:26 simon-endian Assigned To => simon-endian
2008-05-02 13:34 simon-endian Relationship added duplicate of 0000710
2008-05-02 13:53 simon-endian Status assigned => resolved
2008-05-02 13:53 simon-endian Fixed in Version => 2.2-rc1
2008-05-02 13:53 simon-endian Resolution open => fixed
2008-05-02 13:53 simon-endian Note Added: 0001109
2009-10-27 12:03 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker